Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

newly generated pom.xml

  • Loading branch information...
commit c64981e427a1c9f5852d446be1a240669e1aadc4 1 parent a0b7c01
@mkristian authored
Showing with 33 additions and 123 deletions.
  1. +33 −123 pom.xml
View
156 pom.xml
@@ -32,71 +32,42 @@
<dependency>
<groupId>rubygems</groupId>
<artifactId>ruby-maven</artifactId>
+ <version>[3.0.4,3.0.99999]</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
- <artifactId>maven-tools</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>thor</artifactId>
+ <artifactId>rake</artifactId>
+ <version>[10.0.3,10.0.99999]</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
- <artifactId>rake</artifactId>
+ <artifactId>thor</artifactId>
+ <version>(0.14.0,0.16.0)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>cucumber</artifactId>
+ <version>[1.1.9,1.1.99999]</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
- <artifactId>builder</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>diff-lcs</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>gherkin</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>json</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>term-ansicolor</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
<artifactId>minitest</artifactId>
+ <version>[4.3,4.99999]</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jruby-openssl</artifactId>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>bouncy-castle-java</artifactId>
+ <version>0.8.2</version>
<type>gem</type>
</dependency>
<dependency>
@@ -166,6 +137,20 @@
<type>jar</type>
</dependency>
<dependency>
+ <groupId>org.mockito</groupId>
+ <artifactId>mockito-core</artifactId>
+ <version>1.9.5</version>
+ <type>jar</type>
+ <scope>test</scope>
+ </dependency>
+ <dependency>
+ <groupId>org.testng</groupId>
+ <artifactId>testng</artifactId>
+ <version>6.8</version>
+ <type>jar</type>
+ <scope>test</scope>
+ </dependency>
+ <dependency>
<groupId>rubygems</groupId>
<artifactId>bundler</artifactId>
<type>gem</type>
@@ -175,90 +160,6 @@
<dependencies>
<dependency>
<groupId>rubygems</groupId>
- <artifactId>jbundler</artifactId>
- <version>0.3.2</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>ruby-maven</artifactId>
- <version>3.0.4.1.2</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>maven-tools</artifactId>
- <version>0.32.0</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>thor</artifactId>
- <version>0.15.4</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>bouncy-castle-java</artifactId>
- <version>1.5.0146.1</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>builder</artifactId>
- <version>3.1.4</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>cucumber</artifactId>
- <version>1.1.9</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>diff-lcs</artifactId>
- <version>1.2.0</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>gherkin</artifactId>
- <version>2.9.3</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>json</artifactId>
- <version>1.7.6</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>term-ansicolor</artifactId>
- <version>1.0.7</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>jruby-openssl</artifactId>
- <version>0.8.2</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>minitest</artifactId>
- <version>4.4.0</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
- <artifactId>rake</artifactId>
- <version>10.0.3</version>
- <type>gem</type>
- </dependency>
- <dependency>
- <groupId>rubygems</groupId>
<artifactId>bundler</artifactId>
<version>1.1.4</version>
<type>gem</type>
@@ -270,7 +171,7 @@
<gem.path>${project.build.directory}/rubygems</gem.path>
<jruby.18and19>true</jruby.18and19>
<jruby.plugins.version>0.29.2</jruby.plugins.version>
- <jruby.versions>1.5.6,1.6.8,1.7.2</jruby.versions>
+ <jruby.versions>1.6.8,1.7.2,1.5.6</jruby.versions>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
@@ -291,6 +192,14 @@
</configuration>
</plugin>
<plugin>
+ <artifactId>maven-compiler-plugin</artifactId>
+ <version>3.0</version>
+ <configuration>
+ <source>1.6</source>
+ <target>1.6</target>
+ </configuration>
+ </plugin>
+ <plugin>
<artifactId>maven-jar-plugin</artifactId>
<version>2.4</version>
<executions>
@@ -332,7 +241,7 @@
<configuration>
<defaultExecutable>jbundle</defaultExecutable>
<executables>jbundle</executables>
- <files>bin/jbundle,lib/commands,lib/commands/install_with_jars.rb~,lib/commands/abstract_command.rb~,lib/commands/push.rb~,lib/commands/nexus.rb~,lib/rubygems_plugin.rb~,lib/jbundler.rb,lib/jars.rb~,lib/jbundler,lib/jbundler/pom.rb,lib/jbundler/cli.rb,lib/jbundler/config.rb,lib/jbundler/classpath_file.rb,lib/jbundler/aether.rb,lib/jbundler/gemfile_lock.rb,lib/jbundler/lazy.rb,lib/jbundler.jar,spec/classpath_file_spec.rb,spec/setup.rb,spec/pom_spec.rb,spec/aether_spec.rb,MIT-LICENSE,Readme.md,Gemfile.lock~,Gemfile,Gemfile.lock</files>
+ <files>bin/jbundle,lib/commands,lib/commands/install_with_jars.rb~,lib/commands/abstract_command.rb~,lib/commands/push.rb~,lib/commands/nexus.rb~,lib/rubygems_plugin.rb~,lib/jbundler.rb,lib/jars.rb~,lib/jbundler,lib/jbundler/pom.rb,lib/jbundler/cli.rb,lib/jbundler/config.rb,lib/jbundler/classpath_file.rb,lib/jbundler/aether.rb,lib/jbundler/gemfile_lock.rb,lib/jbundler/lazy.rb,lib/jbundler.jar,spec/classpath_file_spec.rb,spec/setup.rb,spec/pom_spec.rb,spec/aether_spec.rb,MIT-LICENSE,Readme.md,Gemfile.lock~,Gemfile</files>
<gemspec>jbundler.gemspec</gemspec>
<testFiles>spec/classpath_file_spec.rb,spec/pom_spec.rb,spec/aether_spec.rb</testFiles>
</configuration>
@@ -393,6 +302,7 @@
<artifactId>gem-maven-plugin</artifactId>
<goals>
<goal>initialize</goal>
+ <goal>execute_in_phase</goal>
</goals>
<groupId>de.saumya.mojo</groupId>
<versionRange>[0,)</versionRange>
Please sign in to comment.
Something went wrong with that request. Please try again.